Subject: Re: Saving to 32 bits of GPRs in signal context

From: Benjamin Herrenschmidt <[email-masked]>
Date: Wed, 30 May 2007 21:48:53 +1000

On Wed, 2007-05-30 at 13:40 +0200, Segher Boessenkool wrote:
> 
> > I personally don't care about gdb seeing those or anything like
> that,
> > those would be strictly local asm optimisations, at least that's my
> > point of view on the matter.
> 
> GDB can step into asm though, it will have to know
> about it for full functionality.

It can already... there are ptrace hooks to get both halves if you are a
32 bits gdb and the 64 bits ptrace will return the full 64 bits. There
is no way to know wether an app or a lib is using both halves or not
though.

> Perhaps something in a test suite somewhere; other
> than that, nothing important I suspect.  Well some
> version of some JVM will abuse it I'm sure ;-)

That's what I was worried about :-)

Ben.